/* CSS FROM GEELONG*/

/*  ------  'Avenir LT Std'  ------  */
@font-face {
  font-family: 'Avenir LT Std';
  src: url('https://s3-ap-southeast-2.amazonaws.com/aws-ec2-ap-southeast-2-opendatasoft-staticfileset/geelongvic/theme_font/AvenirLTStd-Light.eot');
  src: url('https://s3-ap-southeast-2.amazonaws.com/aws-ec2-ap-southeast-2-opendatasoft-staticfileset/geelongvic/theme_font/AvenirLTStd-Light.eot?#iefix') format('embedded-opentype'),
    url('https://s3-ap-southeast-2.amazonaws.com/aws-ec2-ap-southeast-2-opendatasoft-staticfileset/geelongvic/theme_font/AvenirLTStd-Light.woff2') format('woff2'),
    url('https://s3-ap-southeast-2.amazonaws.com/aws-ec2-ap-southeast-2-opendatasoft-staticfileset/geelongvic/theme_font/AvenirLTStd-Light.woff') format('woff'),
    url('https://s3-ap-southeast-2.amazonaws.com/aws-ec2-ap-southeast-2-opendatasoft-staticfileset/geelongvic/theme_font/AvenirLTStd-Light.ttf') format('truetype');
  font-weight: 300;
  font-style: normal;
}

@font-face {
  font-family: 'Avenir LT Std';
  src: url('https://s3-ap-southeast-2.amazonaws.com/aws-ec2-ap-southeast-2-opendatasoft-staticfileset/geelongvic/theme_font/AvenirLTStd-LightOblique.eot');
  src: url('https://s3-ap-southeast-2.amazonaws.com/aws-ec2-ap-southeast-2-opendatasoft-staticfileset/geelongvic/theme_font/AvenirLTStd-LightOblique.eot?#iefix') format('embedded-opentype'),
    url('https://s3-ap-southeast-2.amazonaws.com/aws-ec2-ap-southeast-2-opendatasoft-staticfileset/geelongvic/theme_font/AvenirLTStd-LightOblique.woff2') format('woff2'),
    url('https://s3-ap-southeast-2.amazonaws.com/aws-ec2-ap-southeast-2-opendatasoft-staticfileset/geelongvic/theme_font/AvenirLTStd-LightOblique.woff') format('woff'),
    url('https://s3-ap-southeast-2.amazonaws.com/aws-ec2-ap-southeast-2-opendatasoft-staticfileset/geelongvic/theme_font/AvenirLTStd-LightOblique.ttf') format('truetype');
  font-weight: 300;
  font-style: italic;
}

@font-face {
  font-family: 'Avenir LT Std';
  src: url('https://s3-ap-southeast-2.amazonaws.com/aws-ec2-ap-southeast-2-opendatasoft-staticfileset/geelongvic/theme_font/AvenirLTStd-Medium.eot');
  src: url('https://s3-ap-southeast-2.amazonaws.com/aws-ec2-ap-southeast-2-opendatasoft-staticfileset/geelongvic/theme_font/AvenirLTStd-Medium.eot?#iefix') format('embedded-opentype'),
    url('https://s3-ap-southeast-2.amazonaws.com/aws-ec2-ap-southeast-2-opendatasoft-staticfileset/geelongvic/theme_font/AvenirLTStd-Medium.woff') format('woff'),
    url('https://s3-ap-southeast-2.amazonaws.com/aws-ec2-ap-southeast-2-opendatasoft-staticfileset/geelongvic/theme_font/AvenirLTStd-Medium.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'Avenir LT Std';
  src: url('https://s3-ap-southeast-2.amazonaws.com/aws-ec2-ap-southeast-2-opendatasoft-staticfileset/geelongvic/theme_font/AvenirLTStd-MediumOblique.eot');
  src: url('https://s3-ap-southeast-2.amazonaws.com/aws-ec2-ap-southeast-2-opendatasoft-staticfileset/geelongvic/theme_font/AvenirLTStd-MediumOblique.eot?#iefix') format('embedded-opentype'),
    url('https://s3-ap-southeast-2.amazonaws.com/aws-ec2-ap-southeast-2-opendatasoft-staticfileset/geelongvic/theme_font/AvenirLTStd-MediumOblique.woff2') format('woff2'),
    url('https://s3-ap-southeast-2.amazonaws.com/aws-ec2-ap-southeast-2-opendatasoft-staticfileset/geelongvic/theme_font/AvenirLTStd-MediumOblique.woff') format('woff'),
    url('https://s3-ap-southeast-2.amazonaws.com/aws-ec2-ap-southeast-2-opendatasoft-staticfileset/geelongvic/theme_font/AvenirLTStd-MediumOblique.ttf') format('truetype');
  font-weight: normal;
  font-style: italic;
}

@font-face {
  font-family: 'Avenir LT Std';
  src: url('https://s3-ap-southeast-2.amazonaws.com/aws-ec2-ap-southeast-2-opendatasoft-staticfileset/geelongvic/theme_font/AvenirLTStd-Black.eot');
  src: url('https://s3-ap-southeast-2.amazonaws.com/aws-ec2-ap-southeast-2-opendatasoft-staticfileset/geelongvic/theme_font/AvenirLTStd-Black.eot?#iefix') format('embedded-opentype'),
    url('https://s3-ap-southeast-2.amazonaws.com/aws-ec2-ap-southeast-2-opendatasoft-staticfileset/geelongvic/theme_font/AvenirLTStd-Black.woff') format('woff'),
    url('https://s3-ap-southeast-2.amazonaws.com/aws-ec2-ap-southeast-2-opendatasoft-staticfileset/geelongvic/theme_font/AvenirLTStd-Black.ttf') format('truetype');
  font-weight: bold;
  font-style: normal;
}

@font-face {
  font-family: 'Avenir LT Std';
  src: url('https://s3-ap-southeast-2.amazonaws.com/aws-ec2-ap-southeast-2-opendatasoft-staticfileset/geelongvic/theme_font/AvenirLTStd-BlackOblique.eot');
  src: url('https://s3-ap-southeast-2.amazonaws.com/aws-ec2-ap-southeast-2-opendatasoft-staticfileset/geelongvic/theme_font/AvenirLTStd-BlackOblique.eot?#iefix') format('embedded-opentype'),
    url('https://s3-ap-southeast-2.amazonaws.com/aws-ec2-ap-southeast-2-opendatasoft-staticfileset/geelongvic/theme_font/AvenirLTStd-BlackOblique.woff2') format('woff2'),
    url('https://s3-ap-southeast-2.amazonaws.com/aws-ec2-ap-southeast-2-opendatasoft-staticfileset/geelongvic/theme_font/AvenirLTStd-BlackOblique.woff') format('woff'),
    url('https://s3-ap-southeast-2.amazonaws.com/aws-ec2-ap-southeast-2-opendatasoft-staticfileset/geelongvic/theme_font/AvenirLTStd-BlackOblique.ttf') format('truetype');
  font-weight: bold;
  font-style: italic;
}

body {
  margin: 0;
  padding: 0;
  font-size: 1rem;
}

button {
  outline: none !important;
}

#map {
  position: absolute !important;
  top: 0 !important;
  bottom: 0 !important;
  left: 1% !important;
  width: 98% !important;
}

.main-page-container {
  height: 100dvh;
  position: relative;
}

.mapboxgl-canvas {
  width: 100%;
}



/*  HEADER STYLING */
.geelong-header-background {
  height: 115px;
  width: 100%;
  background: rgb(200, 227, 238);
  background: linear-gradient(122deg, rgba(200, 227, 238, 1) 0%, rgba(200, 227, 238, 1) 61%, rgba(255, 255, 255, 1) 61%, rgba(255, 255, 255, 1) 63%, rgba(0, 50, 100, 1) 63%);
  /* IE 6 Support dont make me do it.
    background: rgb(200,227,238);
background: -moz-linear-gradient(117deg, rgba(200,227,238,1) 0%, rgba(200,227,238,1) 61%, rgba(255,255,255,1) 61%, rgba(255,255,255,1) 63%, rgba(0,50,100,1) 63%);
background: -webkit-linear-gradient(117deg, rgba(200,227,238,1) 0%, rgba(200,227,238,1) 61%, rgba(255,255,255,1) 61%, rgba(255,255,255,1) 63%, rgba(0,50,100,1) 63%);
background: linear-gradient(117deg, rgba(200,227,238,1) 0%, rgba(200,227,238,1) 61%, rgba(255,255,255,1) 61%, rgba(255,255,255,1) 63%, rgba(0,50,100,1) 63%);
filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#c8e3ee",endColorstr="#003264",GradientType=1);
   */
}

.geelong-header {
  height: 115px;
  width: 100%;
  background-color: #003264;
  background-image: -webkit-linear-gradient(150deg, #003264 35%, #C8E3EE 35%);
  min-height: 115px;
}

.geelong-header-council, .geelong-header-title, .geelong-footer-council {
  margin: 0px 0 0 45px; 
}

.geelong-header-title {
  font-size: 25.2px;
  font-weight: bold;      
  font-family: 'Avenir LT Std'; 
  line-height: 39.06px;
}

.geelong-header-council {
  padding-top: 28px;
  font-size: 16.8px;
  font-family: 'Avenir LT Std';
  line-height: 26.04px;
}

.header-link, .header-link:hover {
    text-decoration: none !important;
    color: #003062;
}

.geelong-header-logo {
  float: right;
  margin-top: 20px;
  padding-right: 5px;
}

.menu-container {
  box-sizing: content-box;
  height: 40px;
  display: flex;
  justify-content: space-between;
  margin-bottom: 2px;
  ul {
    display: flex;
    list-style: none;
    margin-bottom: 0;
    padding: 0 20px;
    li {
      font-size: 14px;
      a {
        font-family: "Avenir LT Std";
        font-size: 14px;
        line-height: 40px;
        text-decoration: none;
        padding: 20px 10px;
        color: #003264;
        font-weight: bold;

        .fa-home {
          font-size: 18.2px;
          margin-right: 5px;
        }
      }
    }
    
    li.menu-item:hover > a {
      color: #FFFFFF;
    }
    li.menu-item:hover {
      background-color: #003264;
      border-bottom: 3px solid #C8E3EE;
    }
    li.account-avatar:hover{
      color: #003264;
      background: none;
      border-bottom: 3px solid #C8E3EE;
    }
    li.account-avatar a{
      font-weight: 400;
    }
    li.account-avatar a:hover{
      color: #003264;
    }
    li.account-avatar a img{
      margin-right: 5px;
      border-radius: 50%;
    }
  }
}

/* ==== HEADER STYLING ENDS ==== */

/* FOOTER STYLING */
footer {
  margin-top: 15px;
  padding: 25px 20px !important;
  height: 250px;
  background-color: #003264;
  color: #fff;
  font-family: "Avenir LT Std";
  border-top: 4px solid #C8E3EE;

  .contact-and-info-container {
    align-items: center;
  }

  .footer-contact a {
    font-size: 18.9px;
    color: #fff;
    display: flex;
    align-items: center;

    img {
      margin-right: 5px;
    }
  }

  .footer-contact-links a {
    color: #fff;
    font-size: 12.6px;
    margin-right: 10px;
  }

  .footer-contact {
    padding: 0 20px 0 25px;
  }

  .footer-translate, .footer-follow {
    padding-top: 35px;
    padding-left: 10px;
    text-align: left;
    color: #8ACED7;
    font-size: 17.6px;
    text-transform: uppercase;
    margin-bottom: 10px;
  }

  .footer-button-row {
    padding-left: 10px;

    a {
      margin-right: 9px;
    }
  }
}
/* Custom BOOTSTRAP CLASS */
.p-0 {
  padding: 0
}

/* Making date-range-slider to only select 1 date */
.odswidget-date-range-slider .irs--flat .irs-bar,
.odswidget-date-range-slider .irs--flat .irs-bar, .odswidget-date-range-slider .irs--flat .irs-handle.to {
  display: none;
}

.odswidget-date-range-slider .irs--flat .irs-from {
  display: block;
  visibility: visible !important;
}

/* ------- Mapbox map styles ------- */

/* Popup */

.mapboxgl-popup.mapboxgl-popup-anchor-bottom{
  max-width: none !important;
  z-index: 400;
}

.mapboxgl-popup-content {
  padding: 15px 10px;
  font-size: 16px;
  width: 320px;
}

.mapboxgl-popup-close-button {
  font-size: 20px;
  outline: none;
}

/* ------ Sensor panel (right sleeve) ------- */

.sensor-panel {
  width: 500px;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: column;
  flex-direction: column;
  position: absolute;
  top: 15px;
  right: 20px;
  bottom: 55px;
  margin: 0;
  z-index: 500;
  pointer-events: auto;
  background-color: #CDE2EC;
  height: 96dvh;
}

/*Sensor panel header*/

.sensor-panel__close {
  color: #fff;
}

.pull-right {
  float: right !important;
}

.sensor-subtitle {
  display: block;
  font-size: 24px;
  line-height: 1;
}

.sensor-subtitle-statement {
  font-size: 14px;
  color: #d4d6db;
}

/*Sensor panel body*/

.sensor-panel__body {
  padding: 15px;
  max-height: fit-content;
  overflow-y: scroll;
  z-index: -1;
}

.graphWrapper {
  position: relative;
}

.graph-titlestatement {
  line-height: 1.1;
  padding-bottom: 20px;
}

.graph-titlestatement h1 {
  text-transform: uppercase;
  color: #0B3653;
  text-align: center;
  font-size: 21px;
  margin: 0;
}

.graph-title {
  font-weight: 700;
  color: #080809;
}

.graph-statement {
  color: #5d616c;
  margin-top: 0;
  font-size: 16px;
}

.graph-statement,
.graph-title {
  padding-left: 0;
}

.lineGraph {
  height: 400px;
}

.lineGraph .odswidget-charts {
  height: 400px;
  min-height: 400px;
}

/* .lineGraph .odswidget-charts rect.highcharts-background {
  fill: #CDE2EC;
} */

.lineGraph .odswidget-charts text {
  font-size: 11px !important;
  color: #333 !important;
  fill: #333 !important;
  font-family: Arial, Helvetica, sans-serif;
}
/* 
.lineGraph .ods-highcharts__tooltip {
  display: none;
} */

/* Reference Line */
.lineGraph .highcharts-series.highcharts-series-3.highcharts-column-series path {
  stroke-width: 1px;
}

.lineGraph .highcharts-series path {
  stroke-width: 2px;
}

.lineGraph .hour-of-day .ods-chart .chartplaceholder .highcharts-series-group .highcharts-series-3 rect {
  width: 3px;
  transform: translateX(3px);
}

.lineGraph .day-of-week .ods-chart .chartplaceholder .highcharts-series-group .highcharts-series-3 rect {
  width: 3px;
  transform: translateX(13px);
}

.lineGraph .month-of-year .ods-chart .chartplaceholder .highcharts-series-group .highcharts-series-1 rect {
  width: 3px;
  transform: translateX(8px);
}

.lineGraph .month-of-year .ods-chart .chartplaceholder .highcharts-series-group .highcharts-series-2 rect {
  width: 3px;
  transform: translateX(6px);
}

.lineGraph .month-of-year .ods-chart .chartplaceholder .highcharts-series-group .highcharts-series-3 rect {
  width: 3px;
  transform: translateX(13px);
}

.graph-legend {
  position: relative;
  width: 100%;
  height: auto;
  background: none;
  margin-bottom: 8px;
  overflow: hidden;
}

.legend-item {
  display: flex;
  justify-content: space-between;
  line-height: 32px;
  padding: 5px 0;
}

.legend-item:not(:last-child) {
  border-bottom: 1px solid #CFD3DD;
}

.graph-legend-label {
  text-align: left;
  margin-left: 0;
  font-size: 15px;
  color: #0B3653;
  text-transform: capitalize;
}

.graph-legend-value {
  text-align: right;
  margin-right: 10px;
  font-size: 24px;
  font-weight: 400;
  color: #277BB4;
}

.graph-legend-value.percentage {
  margin-right: 0;
}

.graph-legend-value.lesser {
  font-size: 16px;
}

.graph-legend-value.lesser span {
  border-radius: 5px;
  padding: 4px;
  color: #000;
}

.graph-legend-value.lesser .positive {
  /* background: #fcf413; */
  color: #277BB4;
  background: transparent;
}

.graph-legend-value.lesser .negative {
  /* background: #3a8bd5; */
  color: #CE3817;
  background: transparent;
}

.graph-legend-value.lesser .nan {
  /* background: #f6f4f1; */
  background: transparent;
}

.legend-table {
  width: 100%;
  text-align: left;
  border-collapse: collapse;
  margin-top: 25px;
}

.legend-table thead {
  font-size: 19px;
}

.legend-table thead tr th {
  padding-bottom: 15px;
}

.legend-table tbody tr td {
  padding: 10px 0;
}

.graph-legend .legend-item:first-child .graph-legend-label,
.graph-legend .legend-item:first-child .hourly-count-at,
.graph-legend .legend-item:first-child .graph-legend-value {
  color: #0B3653;
  font-weight: bold;
  font-size: 18px;
}

/* ------ Map Legend ------ */
.map-legend-container {
  position: absolute;
  left: 70px;
  bottom: 40px;
  z-index: 100;

  width: 275px;
  background-color: #fff;
  padding: 5px;
  border-radius: 4px;
  -webkit-box-shadow: 0 1px 5px rgba(0,0,0,.65);
  box-shadow: 0 1px 5px rgba(0,0,0,.65);

  /* Lengend header */
  h2 {
    font-size: 16px;
    font-weight: bold;
  }
  ul {
    padding: 0;
    list-style: none;
    li {
      position: relative;
      padding-left: 25px;
      list-style-type: none;
    }

    li::before {
      content: "";
      position: absolute;
      left: 0;
      top: 50%;
      transform: translateY(-50%);
      width: 15px;
      height: 15px;
      border: 1px solid #ccc;
    }

    li:nth-child(1)::before {
      background-color: #81CAD6;
      /* background-color: #3a8bd5; */
    }
    
    li:nth-child(2)::before {
      /* background-color: #f6f4f1; */
      background-color: #EDCD44;
    }
    
    li:nth-child(3)::before {
      background-color: #DC3E26;
      /* background-color: #DBDB05; */
    }
  }
}

/* ------ Control panel (left sleeve) ------- */

.control-panel {
  position: absolute;
  left: 0;
  top: 15px;
  /* top: 900px; */
  width: 100%;
  z-index: 100;
  padding: 0 25px;
  display: flex;
  box-sizing: border-box;
}

.control-panel .time-date-wrapper {
  background: #FFFFFFFC;
  box-shadow: 0px 0px 12px 0px #00000014;
  padding: 20px 35px;
  border-radius: 18px;
  width: 18%;
}

.control-panel .time-date-wrapper .calendar-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.control-panel .time-date-wrapper .hourly-display-container {
  display: flex;
  justify-content: center;
}

.control-panel .time-date-wrapper .hourly-display-container p {
  color: #333333;
  font-size: 15px;
}

.control-panel .time-date-wrapper .calendar-container input[type="date"] {
  flex: 1;
  margin: 0 10px;
  padding: 7px 5px;
  font-size: 17px;
  text-align: center;
  border: none;
  font-family: Arial, Helvetica, sans-serif;
  position: relative;
  color: #277BB4;
  font-weight: 500;
}

.control-panel .time-date-wrapper .calendar-container input[type="date"]::-webkit-calendar-picker-indicator {
  color: transparent;
  background: none;
  z-index: 1;
}

.control-panel .time-date-wrapper .calendar-container input[type="date"]:before {
  color: transparent;
  background: none;
  display: block;
  font-family: 'FontAwesome';
  content: '\f073';
  font-size: 20px;
  width: 15px;
  height: 22px;
  position: absolute;
  top: 37%;
  transform: translateY(-50%);
  right: 15px;
  color: #277BB4;
}

.control-panel .time-date-wrapper .calendar-container .fa-spinner, .control-panel .time-date-wrapper .calendar-container .fa-spin {
  color: #277BB4;
  padding: 0 3px;
}

.control-panel .time-date-wrapper button {
  background-color: transparent;
  cursor: pointer;
  border: none;
}

.control-panel .time-date-wrapper button.disabled-button::before {
  color: #2962877c !important;
  cursor: not-allowed;
}

.control-panel .time-date-wrapper button::before {
  color: #277BB4;
}

.control-panel p {
  margin: 0;
  color: #f2f3f4;
}

.control-panel .compare-date-container, .control-panel .type-selection-container {
  margin-left: 20px;
  position: relative;
}

.sensor-panel__header .type-selection-container {
  position: relative;
}

.control-panel .compare-date-container button, 
.control-panel .type-selection-container .select-type-btn,
.sensor-panel__header .type-selection-container .select-type-btn {
  background-color: #FFFFFF;
  box-shadow: 0px 0px 12px 0px #00000014;
  border-radius: 8px;
  border: none;
  color: #277BB4;
  width: 210px;
  height: 50px;
  padding: 15px;
  font-size: 14px;
  font-family: Arial, Helvetica, sans-serif;
  font-weight: 600;
  cursor: pointer;
  
}


.type-selection-container .select-type-btn {
  display: flex;
  justify-content: space-between;
  align-items: center;
  transition: transform 0.3s ease;
}

/* .control-panel .type-selection-container .select-type-btn .fa-chevron-down {
  position: absolute;
  right: 15px;
  transition: transform 0.3s ease;
} */

.type-selection-container .select-type-btn.show-dropdown .fa-chevron-down {
  transform: rotate(180deg);
}

.type-selection-container .options-dropdown-container {
  background-color: #fff;
  box-shadow: 0px 0px 12px 0px #00000014;
  position: absolute;
  top: 53px;
  width: 210px;
  border-radius: 8px;
}

.type-selection-container .options-dropdown-container > ul {
  max-height: 400px;
  overflow-y: scroll;
}

.type-selection-container .options-dropdown-container ul {
  list-style-type: none;
  margin: 5px 0;
  padding: 0 15px;
}

.type-selection-container .options-dropdown-container ul ul {
  padding-left: 25px;
}

.type-selection-container .options-dropdown-container ul li {
  padding: 2px 0;
}

.sensor-panel__header .type-selection-container .odswidget-select-button {
  height: 40px;
}

.sensor-panel__header .type-selection-container .odswidget-select-input-container {
  height: 38px;
  width: 210px;
  display: flex;
}

.control-panel .type-selection-container .odswidget-select-input-container {
  width: 210px;
  height: 48px;
  display: flex;
}

.control-panel .type-selection-container .odswidget-select-button-dropdown-close,
.sensor-panel__header .type-selection-container .odswidget-select-button-dropdown-close {
  top: 50%;
  transform: translateY(-50%);
}

.label-hidden {
  display: none;
}

.control-panel .location-search-container {
  margin-left: auto;
  background: #FFFFFF;
  display: flex;
  align-items: center;
  height: 50px;
  width: 350px;
  box-shadow: 0px 0px 12px 0px #00000014;
  border-radius: 8px;
  padding: 0 25px;
  box-sizing: border-box;
  position: relative;
}

.control-panel .location-search-container input {
  border: none;
  margin-left: 10px;
  font-size: 16px;
  outline: none;
  flex: 1;
}

.control-panel .location-search-container .fa-search,
.control-panel .location-search-container .fa-map-marker {
  font-size: 24px;
  color: #277BB4;
}

.control-panel .location-search-container > .fa-map-marker:before {
  color: transparent;
  -webkit-text-stroke: 1px #277BB4; 
}

.control-panel .location-search-container .fa-search {
  margin-left: auto;
}

.control-panel .location-search-container .dropdown-location-list-container {
  position: absolute;
  width: 100%;
  top: 53px;
  left: 0;
  background-color: #FFFFFF;
  box-shadow: 0px 0px 12px 0px #00000014;
  border-radius: 8px;
  padding: 10px 15px;
  box-sizing: border-box;
  /* display: none; */
}

.control-panel .location-search-container .dropdown-location-list-container p,
.location-search-chart_container .search-section .dropdown-location-list-container p  {
  padding: 10px 0;
  color: #277BB4;
  display: flex;
  cursor: pointer;
}

.control-panel .location-search-container .dropdown-location-list-container p.selected,
.control-panel .location-search-container .dropdown-location-list-container p:hover,
.location-search-chart_container .search-section .dropdown-location-list-container p.selected,
.location-search-chart_container .search-section .dropdown-location-list-container p:hover {
  background-color: #a0ceed70;
}

.control-panel .location-search-container .dropdown-location-list-container p:not(:last-child),
.location-search-chart_container .search-section .dropdown-location-list-container p:not(:last-child) {
  border-bottom: .5px solid #ccc;
}

.control-panel .dropdown-location-list-container .fa-map-marker {
  font-size: 18px;
  margin: 0 15px 0 5px;
  color: #277BB4;
}

.dropdown-location-list-container .spinner-container {
  display: flex;
  padding-left: 25px;
  color: #277BB4;
}

.sensor-panel__header {
  padding: 10px;
  background: #CDE2EC;
  -ms-flex-negative: 0;
  flex-shrink: 0;
  position: sticky;
}

.location-search-chart_container {
  display: flex;
  align-items: center;
}

.location-search-chart_container .close-button {
  cursor: pointer;
}

.location-search-chart_container .search-section {
  flex: 1;
  display: flex;
  align-items: center;
  background: #FFFFFF;
  padding: 5px 15px;
  border-radius: 8px;
  margin-right: 10px;
  box-shadow: 0px 0px 12px 0px #00000014;
  position: relative;
}

.location-search-chart_container .search-section input {
  border: none;
  outline: none;
  font-size: 16px;
}

.location-search-chart_container .search-section > .fa-map-marker::before {
  color: transparent;
  font-size: 24px;
  -webkit-text-stroke: 1px #277BB4;
  margin-right: 10px;
}

.location-search-chart_container .search-section input {
  flex: 1;
}

.location-search-chart_container .search-section .dropdown-location-list-container {
  position: absolute;
  top: calc(100% + 3px);
  left: 0;
  width: 100%;
  background: #fff;
  border-radius: 8px;
  z-index: 100;
  padding: 5px 7px;
  box-sizing: border-box;
}

.location-search-chart_container .search-section .dropdown-location-list-container p {
  margin: 0;
}

.location-search-chart_container .search-section .dropdown-location-list-container p .fa-map-marker {
  margin: 0 10px;
  font-size: 18px;
}

.tab-selection_container {
  padding: 0;
  display: inline-flex;
  border-bottom: 2px solid #F4F6F9;
}

.tab-selection_container button {
  background: transparent;
  border: none;
  text-decoration: underline;
  padding: 20px 0 10px 0;
  margin: 0 15px;
  display: flex;
  align-items: center;
  color: #666666;
  cursor: pointer;
}

.tab-selection_container button svg {
  margin-right: 5px;
  width: 20px;
  height: 20px;
  stroke: #666666;
}

.tab-selection_container button.active {
  color: #277BB4;
  position: relative;
}

.tab-selection_container button.active svg {
  stroke: #277BB4;
}

.tab-selection_container button.active::after {
  content: '';
  position: absolute;
  left: 0;
  bottom: -1px;
  width: 100%;
  height: 1px;
  background: #277BB4;
  border-radius: 20px;
  box-shadow: 0 0 0 1px #277BB4;
}

.date-type_container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 15px 0 10px 0;
}

.date-type_container .date_section h1 {
  margin: 0;
  color: #0B3653;
  font-size: 20px;
}

.date-type_container .date_section p {
  font-size: 14px;
  margin: 0;
  color: #0B3653;
}

#hour {
  width: 100%;
  margin: 20px auto;
}

#output {
  text-align: center;
  font-size: 24px;
}

.marker {
  height: 20px;
  width: 20px;
  border-radius: 50%;
  color: red;
}

/* CHART CONTAINER -> COMPARE TAB styles */
.refine-time-button-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 10px;
  margin-bottom: 15px;
}

.refine-time-button-container button {
  border: 1px solid #277BB4;
  border-radius: 18px;
  background: transparent;
  color: #277BB4;
  font-weight: bold;
  padding: 15px 20px;
  flex: 1;
}

.refine-time-button-container button.active {
  background: #277BB4;
  color: #FFFFFF;
  font-weight: bold;
}

.date-selector-container {
  margin-bottom: 20px;
}

.date-selector-container .selected-date-btn {
  padding: 5px 8px;
  border: none;
  background-color: #0B3653;
  color: white;
  text-decoration: underline;
  border-radius: 6px;
  margin-right: 8px;
  margin-bottom: 5px;
  font-size: 14px;
  cursor: pointer;
}

.date-selector-container .selected-date-btn .fa-times {
  margin-left: 5px;
  color: #277BB4;
  font-size: 17px;
  font-weight: 400;
}

.date-selector-container .selected-date-btn:first-child {
  background-color: #F7D25C;
  color: #0B3653;
  padding: 7px 10px;
}

.date-selector-container input[type=date] {
  position: relative;
  width: 25px;
  height: 27px;
  outline: none;
  background: transparent;
  border: none;
  z-index: 10;
}

.date-selector-container input[type=date]::-webkit-datetime-edit-text {
  -webkit-appearance: none;
  display: none;
}
.date-selector-container input[type=date]::-webkit-datetime-edit-month-field{
  -webkit-appearance: none;
  display: none;
}
.date-selector-container input[type=date]::-webkit-datetime-edit-day-field {
  -webkit-appearance: none;
  display: none;
}
.date-selector-container input[type=date]::-webkit-datetime-edit-year-field {
  -webkit-appearance: none;
  display: none;
}

.date-selector-container input[type="date"]::-webkit-calendar-picker-indicator {
  color: transparent;
  background: none;
}

.date-selector-container input[type="date"]:before {
  color: transparent;
  background: none;
  display: block;
  font-family: 'FontAwesome';
  content: '\f073';
  font-size: 22px;
  width: 20px;
  height: 22px;
  position: absolute;
  top: 33%;
  left: 50%;
  transform: translate(-50%, -50%);
  right: 0;
  color: #FFFFFF;
  pointer-events: none;
  text-shadow: 
    -1px -1px 0 #000,  
     1px -1px 0 #000,
    -1px  1px 0 #000,
     1px  1px 0 #000;
}